Cancel Scheduled Adjustment
curl --request POST \
--url https://app.flowglad.com/api/v1/subscriptions/{id}/cancel-scheduled-adjustment \
--header 'Authorization: <api-key>'import requests
url = "https://app.flowglad.com/api/v1/subscriptions/{id}/cancel-scheduled-adjustment"
headers = {"Authorization": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: '<api-key>'}};
fetch('https://app.flowglad.com/api/v1/subscriptions/{id}/cancel-scheduled-adjustment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"subscription": {
"id": "<string>",
"createdAt": 0,
"updatedAt": 0,
"livemode": true,
"startDate": 0,
"customerId": "<string>",
"organizationId": "<string>",
"defaultPaymentMethodId": "<string>",
"backupPaymentMethodId": "<string>",
"cancellationReason": "<string>",
"replacedBySubscriptionId": "<string>",
"isFreePlan": true,
"doNotCharge": true,
"priceId": "<string>",
"runBillingAtPeriodStart": true,
"intervalCount": 123,
"name": "<string>",
"renews": true,
"pricingModelId": "<string>",
"current": true,
"trialEnd": 0,
"currentBillingPeriodStart": 0,
"currentBillingPeriodEnd": 0,
"metadata": {},
"canceledAt": 0,
"cancelScheduledAt": 0,
"billingCycleAnchorDate": 0,
"scheduledAdjustmentAt": 0
},
"canceledItemCount": 4503599627370495
}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Subscriptions
Cancel Scheduled Adjustment
Cancels a scheduled subscription adjustment. The subscription must have a pending scheduled adjustment (scheduledAdjustmentAt is not null). This will expire any subscription items that were scheduled to become active at the end of the billing period and clear the scheduledAdjustmentAt field.
POST
/
api
/
v1
/
subscriptions
/
{id}
/
cancel-scheduled-adjustment
Cancel Scheduled Adjustment
Authorizations
Path Parameters
The subscription ID
Was this page helpful?
⌘I